Are You Ready?

URGENT Security Update - Action Required!

The minimum standard for ABB OPTICAL GROUP website usage is Windows OS 7 and above, and Internet Explorer 10 (IE10) or Chrome and/or Firefox browsers.

Browsers no longer supported by TLS 1.1 and above
Most browsers have supported TLS 1.1 and above (TLS 1.1+) for several years; however, if you are using an older computer e.g., with Windows OS XP or Vista, those systems will not support TLS 1.1.

Windows OS 7, 8 or 10, along with Internet Explorer 10 or above will be needed to connect as of the February 17, 2018 change. Chrome and Firefox web browsers support TLS 1.1. If you continue to have questions or concerns about this upgrade, please contact Customer Service by calling 1-800-852-8089.


Important Ecommerce Security Requirements Impacting All of Optometry
New cyber security measures required by the Payment Card Industry (PCI) Security Standards Council are rolling out in the months ahead that will require certain standards in browser and operating systems (OS) in order to engage in any ecommerce. Whether you engage with patients, banks, freight carriers, airlines, distributors, or even Amazon – you will need to ensure your browser and OS are of a sufficient level.

In keeping with the PCI Security Standards Council's mandate to end support for TLS 1.0, ABB OPTICAL GROUP will upgrade its services to TLS 1.1 on February 17, 2018. This upgrade will impact you directly, more specifically, your ability to access our website and place orders. Please read below for additional details concerning this security upgrade.

Who is the PCI Standards Council?
The PCI Standards Council is the payment industry authority on what protocols or technologies keep data transactions secure.

What is TLS?
TLS stands for "Transport Layer Security." It is a protocol that provides privacy and data integrity between two communicating applications. It's the most widely used security protocol today, and is used for web browsers and other applications that require data to be securely exchanged over networks such as the public Internet. TLS ensures that a connection to a remote computer is the intended computer through encryption and website identity verification.

Why is this happening?
The PCI Security Standards Council has determined that TLS 1.0 and SSL are vulnerable to hackers. This mandate is affecting ALL online ecommerce website operators, including ABB OPTICAL GROUP.

How does this affect me?
In order to continue accessing ABB OPTICAL GROUP ordering platforms, please ensure your operating system and browser combination meet the new required standards.